> ## Documentation Index > Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt > Use this file to discover all available pages before exploring further. # Create a User Extension Field Value > ## Overview User Extensions allow the functionality of the software to be extended through the creation of custom input fields. These input fields are attached to custom tables. The tables allow for storage and easy access of all miscellaneous information. ## Notes - Before working with a User Extension Field value, retrieve its definition using the User Extension Definition endpoint. Once the definition is established in CMiC, you can create, retrieve, or update the field’s value as needed ## UI Navigation System > User Extension > Field Maintenance ## Reference Article - [Creating a User Extension Field Value](https://developers.cmicglobal.com/v1/docs/creatingupdating-a-user-extension-field-value) - [UE Maintenance Overview](https://docs.cmicglobal.com/portal/Content/E_Reference_Material/SD_-_System_Data/Reference/User_Extensions/UE_Maintenance.htm) ## Body Parameters ### General Body Parameters | CMiC UI Fieldname | Name | Description | Type | Data Length | Example | Required | | --- | --- | --- | --- | --- | --- | --- | | Schema Name | UevUedSchemaName | Static code 'DA' | string | 30 | ‘DA’ | Yes | | Table Name | UevUedTableName | Enter the Object Type Table Name. In CMiC, object tables are database tables that store rows of records.

Click [here](https://developers.cmicglobal.com/v1/docs/object-key-tables) to view a list of Object Tables. | string | 30 | ‘PYEMPLOYEE_TABLE’ | Yes | | VUUID | UevVUuid | The VUuid attribute is the Unique row ID | string | 64 | E41D157899B9807FE0530100007F304F | No | | Create Date | UevIuCreateDate | This field displays the date and time when any user-defined field (UDF) value was first assigned to a record. For example, if you initially set UEV_CODE1 for a record, that timestamp becomes the create date—even if additional UDF values (such as UEV_CODE2, UEV_NUM1, etc.) are added later. | Datetime | | 2018-09-25T11:58:09-04:00 | | | Update Date | UevIuUpdateDate | This field shows the most recent date and time when any UDF value within the record was created or updated. Since all UDF values for a record are stored together, UevIuUpdateDate reflects the timestamp of the latest modification made to any of those fields. | Datetime | | 2025-01-27T17:52:51-05:00 | | | (Deprecated) | UevObjectColumn | This field has been deprecated and should be left blank. | string | 64 | \- | | | (Deprecated) | UevObjectValue | This field has been deprecated and should be left blank. | string | 4000 | \- | | | Object Keys | UevObjectKey | Please refer to the Object Keys Section below for more information | … | … | … | | | UEV Codes | UevCode | Please refer to the UEV Code Section below for more information | … | … | … | | | UEV Numbers | UevNum | Please refer to the UEV Number Section below for more information | … | … | … | | | UEV Dates | UevDate | Please refer to the UEV Date Section below for more information | … | … | … | | ### Object Keys The UEV Keys in the Object Table are unique identifiers used to retrieve specific records. Refer to the [Object Key Tables](https://developers.cmicglobal.com/v1/docs/object-key-tables) for a comprehensive list of Object Types and their corresponding Keys. CMiC UI Fieldname Name Description Type Data Length Example Object Key 1 UevObjectKey1 Unique identifier for record retrieval. For example, when using PYEMPLOYEE_TABLE, Object Key 1 corresponds to Emp Number. In which case you would enter the Employee number (e.g. 1406) string 30 1406 Object Key 2 UevObjectKey2 Unique identifier for record retrieval. For example, when using BPVENDORS, Object Key 2 corresponds to Bp Code. In which case you would enter the BP Code (e.g. ZZ) string 30 ZZ Object Key 3 UevObjectKey3 Unique identifier for record retrieval. For example, when using CMMAST, Object Key 3 corresponds to Cmm Code. In which case you would enter the Cmm Code (e.g. 0009EXT) string 30 0009EXT Object Key 4 UevObjectKey4 Unique identifier for record retrieval. For example, when using SCMAST, Object Key 4 corresponds to Change Code. In which case you would enter the Chagne Code (e.g. 001) string 30 001 ### UEV Codes UEV Code represents a user-defined field (UDF) configured to store string values. All UevCode fields correspond to custom fields for the table specified in the ‘UevUedTableName’ field. Their definitions can be retrieved using the [User Extension Definition](https://developers.cmicglobal.com/apidocs/retrieve-user-extension-fields-definitions-by-code) endpoint. For more details on creating, updating, or reviewing values, see the [Creating a User Extension Field Value](https://developers.cmicglobal.com/v1/docs/creatingupdating-a-user-extension-field-value) guide. | CMiC UI Fieldname | Name | Description | Type | Data Length | Example | | --- | --- | --- | --- | --- | --- | | Uev Code 1 | UevCode1 | User-defined field. Refer to the User Extension Definition endpoint for detail.

For example, UevCode1 associated with the PYEMPLOYEE_TABLE might be defined in the User Extension Definition as the attribute "Driver License." In this case, you would store the driver's license information in that field (e.g. AW-1425-77888). Alternatively, UevCode1 could represent a different user-defined value depending on its configuration.. | string | 4000 | AW-1425-77888 | | Uev Code 2 | UevCode2 | User-defined field. Refer to the User Extension Definition endpoint for details

For example, UevCode2 associated with the PYEMPLOYEE_TABLE might be defined in the User Extension Definition as the attribute "Driver License." In this case, you would store the driver's license information in that field(e.g. AW-1425-77888). Alternatively, UevCode2 could represent a different user-defined value depending on its configuration. | string | 4000 | AW-1425-77888 | | Uev Code 3 | UevCode3 | User-defined field. Refer to the User Extension Definition endpoint for details

For example, UevCode3 associated with the PYEMPLOYEE_TABLE might be defined in the User Extension Definition as the attribute "Driver License." In this case, you would store the driver's license information in that field (e.g. AW-1425-77888). Alternatively, UevCode3 could represent a different user-defined value depending on its configuration. | string | 4000 | AW-1425-77888 | | … | … | ... (Additional UEV Codes follow the same structure) | string | 4000 | … | | UEV Code 100 | UevCode100 | User-defined field. Refer to the User Extension Definition endpoint for details.

For example, UevCode100 associated with the PYEMPLOYEE_TABLE might be defined in the User Extension Definition as the attribute "Driver License." In this case, you would store the driver's license information in that field (e.g. AW-1425-77888). Alternatively, UevCode100 could represent a different user-defined value depending on its configuration. | string | 4000 | AW-1425-77888 | ### UEV Numbers Similar to UEV Codes, UEV Numbers represents a user-defined field (UDF) configured to store numeric values. All UevNum fields correspond to custom fields for the table specified in the ‘UevUedTableName’ field. Their definitions can be retrieved using the [User Extension Definition](https://developers.cmicglobal.com/apidocs/retrieve-user-extension-fields-definitions-by-code) endpoint. For more details on creating, updating, or reviewing values, see the [Creating a User Extension Field Value](https://developers.cmicglobal.com/v1/docs/creatingupdating-a-user-extension-field-value) guide. | CMiC UI Fieldname | Name | Description | Type | Data Length | Example | | --- | --- | --- | --- | --- | --- | | UEV Number 1 | UevNum1 | User-defined field. Refer to the User Extension Definition endpoint for detail.

For example, if UevNum1 in the PYEMPLOYEE_TABLE is defined in the User Extension Definition as the attribute "Years of Service," you would store the employee's years of service as a numeric value (e.g., 10) in that field. | number | | 10 | | UEV Number 2 | UevNum2 | User-defined field. Refer to the User Extension Definition endpoint for detail.

For example, if UevNum2 in the PYEMPLOYEE_TABLE is defined in the User Extension Definition as the attribute "Years of Service," you would store the employee's years of service as a numeric value (e.g., 10) in that field. | number | | 10 | | UEV Number 3 | UevNum3 | User-defined field. Refer to the User Extension Definition endpoint for detail.

For example, if UevNum3 in the PYEMPLOYEE_TABLE is defined in the User Extension Definition as the attribute "Years of Service," you would store the employee's years of service as a numeric value (e.g., 10) in that field. | number | | 10 | | … | … | … (Additional UEV Numbers follow the same structure) | number | … | … | | UEV Number 20 | UevNum20 | User-defined field. Refer to the User Extension Definition endpoint for detail.

For example, if UevNum20 in the PYEMPLOYEE_TABLE is defined in the User Extension Definition as the attribute "Years of Service," you would store the employee's years of service as a numeric value (e.g., 10) in that field. | number | | 10 | ### UEV Dates Similar to UEV Codes, UEV Dates represents a user-defined field (UDF) configured to store datetime values. All UevDate fields correspond to custom fields for the table specified in the ‘UevUedTableName’ field. Their definitions can be retrieved using the [User Extension Definition](https://developers.cmicglobal.com/apidocs/retrieve-user-extension-fields-definitions-by-code) endpoint. For more details on creating, updating, or reviewing values, see the [Creating a User Extension Field Value](https://developers.cmicglobal.com/v1/docs/creatingupdating-a-user-extension-field-value) guide. | CMiC UI Fieldname | Name | Description | Type | Data Length | Example | | --- | --- | --- | --- | --- | --- | | UEV Date 1 | UevDate1 | User-defined field. Refer to the User Extension Definition endpoint for detail.

For example, if UevDate1 in the PYEMPLOYEE_TABLE is defined in the User Extension Definition as the attribute "Date of Birth," you would store the employee's date of birth as a Date value (e.g., 1994-07-31) in that field. | Date | | 1994-07-31 | | UEV Date 2 | UevDate2 | User-defined field. Refer to the User Extension Definition endpoint for detail.

For example, if UevDate2 in the PYEMPLOYEE_TABLE is defined in the User Extension Definition as the attribute "Date of Birth," you would store the employee's date of birth as a Date value (e.g., 1994-07-31) in that field. | Date | | 1994-07-31 | | UEV Date 3 | UevDate3 | User-defined field. Refer to the User Extension Definition endpoint for detail.

For example, if UevDate3 in the PYEMPLOYEE_TABLE is defined in the User Extension Definition as the attribute "Date of Birth," you would store the employee's date of birth as a Date value (e.g., 1994-07-31) in that field. | Date | | 1994-07-31 | | … | … | … (Additional UEV Dates follow the same structure) | Date | | | | UEV Date 20 | UevDate20 | User-defined field. Refer to the User Extension Definition endpoint for detail.

For example, if UevDate20 in the PYEMPLOYEE_TABLE is defined in the User Extension Definition as the attribute "Date of Birth," you would store the employee's date of birth as a Date value (e.g., 1994-07-31) in that field. | Date | | 1994-07-31 | ## OpenAPI ````json POST /sys-rest-api/rest/1/sdobjusrextvalue { "openapi": "3.0.0", "info": { "title": "API Catalog", "description": "", "version": "1.0.0" }, "servers": [ { "url": "https://mobtest.cmiccloudr12.com/cmictestrti", "description": "CMIC API Server" } ], "security": [ { "cmicBasicAuth": [] } ], "tags": [ { "name": "Highlights" }, { "name": "Asset Management | Equipment" }, { "name": "Asset Management | Fixed Assets" }, { "name": "Asset Management | Purchase Order" }, { "name": "Asset Management | Inventory" }, { "name": "Asset Management | Requisition" }, { "name": "Asset Management | Purchase Change Order" }, { "name": "Bim Model" }, { "name": "Bim Model Revision" }, { "name": "Bim Tag Model" }, { "name": "Bim Tags" }, { "name": "Bim FileUpload Jersey" }, { "name": "Core System | Business Partners" }, { "name": "Core System | Business Partner Addresses" }, { "name": "Core System | Bank" }, { "name": "Core System | Currency" }, { "name": "Core System | Exchange Rates" }, { "name": "Core System | Global Table Text Codes" }, { "name": "Core System | Global Table Regions" }, { "name": "Core System | Terms" }, { "name": "Core System | System Contact" }, { "name": "Core System | Weight Measures" }, { "name": "Core System | Field User Defined Classifiers" }, { "name": "Core System | User Defined Classifiers by Object" }, { "name": "Core System | User Extension Definitions by Object" }, { "name": "Core System | User Extention Field Data Value" }, { "name": "Core System | User Extension Values by Object" }, { "name": "Core System | User System Role" }, { "name": "Core System | User Project Role" }, { "name": "Core System | Documents by Object" }, { "name": "Core System | Audit Status Log by Object" }, { "name": "Core System | Licensed Users" }, { "name": "Core System | Company Access" }, { "name": "Core System | Copy User Settings" }, { "name": "Core System | User Maintenance" }, { "name": "Core System | User Roles" }, { "name": "Core System | Security Groups" }, { "name": "Core System | Job/Project Security" }, { "name": "Core System | Weight Measure with Conversions Code" }, { "name": "Core System | Weight Measure Conversions Code" }, { "name": "Core System | User-defined-fields" }, { "name": "Core System | User-extension" }, { "name": "ECM and Workflow | Image Manager" }, { "name": "Financials | General Ledger" }, { "name": "Financials | Accounts Payable" }, { "name": "Financials | Accounts Receivable" }, { "name": "Preventative Maintenance | Issue Work Orders" }, { "name": "Preventative Maintenance | Issue Work Items" }, { "name": "Preventative Maintenance | Issue Work Budgets" }, { "name": "Preventative Maintenance | Issue Priorities" }, { "name": "Preventative Maintenance | Issue Status" }, { "name": "Preventative Maintenance | Issue Types" }, { "name": "Preventative Maintenance | Accumulative Equipment" }, { "name": "Preventative Maintenance | Work Orders" }, { "name": "Preventative Maintenance | Work Items" }, { "name": "Preventative Maintenance | Work Budgets" }, { "name": "Preventative Maintenance | Priorities" }, { "name": "Preventative Maintenance | Tasks" }, { "name": "HCM | UKG Pay Deductions" }, { "name": "HCM | UKG Pay Earnings" }, { "name": "HCM | UKG Pay Headers" }, { "name": "HCM | UKG Pay Taxes" }, { "name": "HCM | Payroll Geographical States" }, { "name": "HCM | Payroll Trades" }, { "name": "HCM | Payroll Union" }, { "name": "HCM | Payroll Pay Runs" }, { "name": "HCM | Payroll Pay Groups" }, { "name": "HCM | Payroll Tax" }, { "name": "HCM | Payroll Worker Compensation" }, { "name": "HCM | Payroll Work Locations" }, { "name": "HCM | Payroll Trade Pay Rates" }, { "name": "HCM | Payroll Union Pay Rates" }, { "name": "HCM | Payroll Job Pay Rates" }, { "name": "HCM | Payroll Master Benefits" }, { "name": "HCM | Payroll Master Deductions" }, { "name": "HCM | Payroll Ben/Ded/Leave Base Codes" }, { "name": "HCM | Payroll Ben/Ded Plans" }, { "name": "HCM | Payroll Ben/Ded Plan Options" }, { "name": "HCM | Payroll Company Benefits" }, { "name": "HCM | Payroll Company Deductions" }, { "name": "HCM | Payroll Vertex Geographic Locations" }, { "name": "HCM | Payroll Checks" }, { "name": "HCM | Payroll Timesheets" }, { "name": "HCM | Employee" }, { "name": "HCM | Employee (Minimum payload)" }, { "name": "HCM | Employee History" }, { "name": "HCM | Tax Exemptions" }, { "name": "HCM | Employee Tax Overrides" }, { "name": "HCM | Employee Pay Splits" }, { "name": "HCM | Employee Benefits" }, { "name": "HCM | Employee Clock In and Out" }, { "name": "HCM | Employee Deductions" }, { "name": "HCM | Employee Leaves" }, { "name": "HCM | Employee Leave History" }, { "name": "HCM | Employee Hour Types" }, { "name": "HCM | Employee Pay History" }, { "name": "HCM | Employee Work Statuses" }, { "name": "HCM | Employee Security Group" }, { "name": "HCM | Crewtime Crew" }, { "name": "HCM | Crewtime Employee Timesheet" }, { "name": "HCM | Crewtime Equipment Timesheet" }, { "name": "HCM | Crew Maintenance Activity Assignment" }, { "name": "HCM | Crew Maintenance Member Assignment" }, { "name": "HCM | Crew Maintenance Member Trade and Union Assignment" }, { "name": "HCM | Crew Maintenance Equipment Assignment" }, { "name": "HCM | Crew Maintenance Equipment Detail Assignment" }, { "name": "HCM | HR Requisitions" }, { "name": "HCM | HR Relations" }, { "name": "HCM | HR Employee Skills" }, { "name": "HCM | HR Incident" }, { "name": "HCM | HR Employee Relatives / Dependents" }, { "name": "HCM | HR Employee Positions" }, { "name": "HCM | HR Applicants" }, { "name": "HCM | HR Applications" }, { "name": "HCM | Vertex Location City" }, { "name": "HCM | HR Application History" }, { "name": "HCM | HR Dependent Benefits" }, { "name": "HCM | HR Dependent Deductions" }, { "name": "HCM | HR Employee Elected Plans" }, { "name": "HCM | HR Employee Training Certifications" }, { "name": "HCM | HR Trainings" }, { "name": "HCM | E-Timesheets" }, { "name": "HCM | System Contacts" }, { "name": "HCM | System User Payroll Security Group" }, { "name": "HCM | Payroll Timesheet Posting" }, { "name": "HCM | CrewTimesheet Posting" }, { "name": "HCM | HR Positions Master" }, { "name": "HCM | Payroll Pay Periods" }, { "name": "HCM | Payroll Rate Codes" }, { "name": "HCM | Payroll Overhead Codes and Rates" }, { "name": "HCM | Payroll Assigned Overhead to Jobs" }, { "name": "Materials Management | Material Sale Orders" }, { "name": "Materials Management | Material Sale Orders Details" }, { "name": "Materials Management | Truck Rate Detail" }, { "name": "Opportunity Management | Competitors" }, { "name": "Opportunity Management | Opportunities" }, { "name": "Opportunity Management | Revenue Details" }, { "name": "Opportunity Management | Opportunity History" }, { "name": "Opportunity Management | Organization" }, { "name": "Project Controls | Job Billing" }, { "name": "Project Controls | Job Cost" }, { "name": "Project Controls | PCI Details" }, { "name": "Project Controls | Unposted PCI Details" }, { "name": "Project Controls | PCI Headers" }, { "name": "Project Controls | Owner Change Orders" }, { "name": "Project Controls | CM Statuses" }, { "name": "Project Controls | CM Types" }, { "name": "Project Controls | CM Vendor Details" }, { "name": "Project Controls | Post PCI" }, { "name": "Project Management | Uploading Documents" }, { "name": "Project Management | Downloading Documents" }, { "name": "Project Management | Foreign Bid Item Imports" }, { "name": "Project Management | Communications" }, { "name": "Project Management | Daily Journals" }, { "name": "Project Management | Communications Types" }, { "name": "Project Management | Daily Journal Daily Work Plans" }, { "name": "Project Management | Daily Journal Field Forces" }, { "name": "Project Management | Daily Journal Labour" }, { "name": "Project Management | Daily Journal Materials" }, { "name": "Project Management | Daily Journal Owner Equipment" }, { "name": "Project Management | Daily Journal Quality Control" }, { "name": "Project Management | Daily Journal Tasks" }, { "name": "Project Management | Daily Journal Trade Equipment" }, { "name": "Project Management | Daily Journal Transactions" }, { "name": "Project Management | Daily Journal User Defined Data" }, { "name": "Project Management | Daily Journal Visitors" }, { "name": "Project Management | Daily Journal Bill Details" }, { "name": "Project Management | Field Work Directives" }, { "name": "Project Management | Contract Types" }, { "name": "Project Management | Company Contacts" }, { "name": "Project Management | Distribution BCC" }, { "name": "Project Management | Distribution CC" }, { "name": "Project Management | Field Work Directive Statuses" }, { "name": "Project Management | Issues" }, { "name": "Project Management | Key Players" }, { "name": "Project Management | Meetings" }, { "name": "Project Management | Meeting Attendees" }, { "name": "Project Management | Meeting Item Statuses" }, { "name": "Project Management | Meeting Tracks" }, { "name": "Project Management | Notes" }, { "name": "Project Management | Projects" }, { "name": "Project Management | Project Items" }, { "name": "Project Management | Project Item Phase Segment Sums" }, { "name": "Project Management | Project Partners" }, { "name": "Project Management | Notices" }, { "name": "Project Management | Notice Statuses" }, { "name": "Project Management | Owner JS Query" }, { "name": "Project Management | PCI Real Locations" }, { "name": "Project Management | Project Contacts" }, { "name": "Project Management | RFIs (Requests for Information)" }, { "name": "Project Management | RFI Statuses" }, { "name": "Project Management | Submittal Packages" }, { "name": "Project Management | Submittal Package Details" }, { "name": "Project Management | Submittal Package Status" }, { "name": "Project Management | Submittals" }, { "name": "Project Management | Submittal Status" }, { "name": "Project Management | Transmittals" }, { "name": "Project Management | Subcontract Headers" }, { "name": "Project Management | Subcontract Schedules" }, { "name": "Project Management | Subcontract Sechedule Phase Segment Sums" }, { "name": "Project Management | User Roles" }, { "name": "Project Management | Punchlists" }, { "name": "Project Management | Punchlist Details" }, { "name": "Project Management | Punchlist Statuses" }, { "name": "Project Management | Meeting Items" }, { "name": "Project Management | Self Perform Vendor" }, { "name": "Project Management | Submittal Types" }, { "name": "Project Management | Assign contact and partner to project" }, { "name": "Project Management | Subcontract Prequal" }, { "name": "Project Management | Bid Item Package" } ], "paths": { "/sys-rest-api/rest/1/sdobjusrextvalue": { "post": { "tags": [ "Core System | User Extension Values by Object" ], "summary": "Create a User Extension Field Value", "description": "## Overview\n\nUser Extensions allow the functionality of the software to be extended through the creation of custom input fields. These input fields are attached to custom tables. The tables allow for storage and easy access of all miscellaneous information.\n\n## Notes\n\n- Before working with a User Extension Field value, retrieve its definition using the User Extension Definition endpoint. Once the definition is established in CMiC, you can create, retrieve, or update the field’s value as needed\n\n## UI Navigation\n\nSystem > User Extension > Field Maintenance\n\n## Reference Article\n\n- [Creating a User Extension Field Value](https://developers.cmicglobal.com/v1/docs/creatingupdating-a-user-extension-field-value)\n- [UE Maintenance Overview](https://docs.cmicglobal.com/portal/Content/E_Reference_Material/SD_-_System_Data/Reference/User_Extensions/UE_Maintenance.htm)\n\n## Body Parameters\n\n### General Body Parameters\n\n| CMiC UI Fieldname | Name | Description | Type | Data Length | Example | Required |\n| --- | --- | --- | --- | --- | --- | --- |\n| Schema Name | UevUedSchemaName | Static code 'DA' | string | 30 | ‘DA’ | Yes |\n| Table Name | UevUedTableName | Enter the Object Type Table Name. In CMiC, object tables are database tables that store rows of records.

Click [here](https://developers.cmicglobal.com/v1/docs/object-key-tables) to view a list of Object Tables. | string | 30 | ‘PYEMPLOYEE_TABLE’ | Yes |\n| VUUID | UevVUuid | The VUuid attribute is the Unique row ID | string | 64 | E41D157899B9807FE0530100007F304F | No |\n| Create Date | UevIuCreateDate | This field displays the date and time when any user-defined field (UDF) value was first assigned to a record. For example, if you initially set UEV_CODE1 for a record, that timestamp becomes the create date—even if additional UDF values (such as UEV_CODE2, UEV_NUM1, etc.) are added later. | Datetime | | 2018-09-25T11:58:09-04:00 | |\n| Update Date | UevIuUpdateDate | This field shows the most recent date and time when any UDF value within the record was created or updated. Since all UDF values for a record are stored together, UevIuUpdateDate reflects the timestamp of the latest modification made to any of those fields. | Datetime | | 2025-01-27T17:52:51-05:00 | |\n| (Deprecated) | UevObjectColumn | This field has been deprecated and should be left blank. | string | 64 | \\- | |\n| (Deprecated) | UevObjectValue | This field has been deprecated and should be left blank. | string | 4000 | \\- | |\n| Object Keys | UevObjectKey | Please refer to the Object Keys Section below for more information | … | … | … | |\n| UEV Codes | UevCode | Please refer to the UEV Code Section below for more information | … | … | … | |\n| UEV Numbers | UevNum | Please refer to the UEV Number Section below for more information | … | … | … | |\n| UEV Dates | UevDate | Please refer to the UEV Date Section below for more information | … | … | … | |\n\n### Object Keys\n\nThe UEV Keys in the Object Table are unique identifiers used to retrieve specific records. Refer to the [Object Key Tables](https://developers.cmicglobal.com/v1/docs/object-key-tables) for a comprehensive list of Object Types and their corresponding Keys.\n\nCMiC UI Fieldname\n\nName\n\nDescription\n\nType\n\nData Length\n\nExample\n\nObject Key 1\n\nUevObjectKey1\n\nUnique identifier for record retrieval.\n\nFor example, when using PYEMPLOYEE_TABLE, Object Key 1 corresponds to Emp Number. In which case you would enter the Employee number (e.g. 1406)\n\nstring\n\n30\n\n1406\n\nObject Key 2\n\nUevObjectKey2\n\nUnique identifier for record retrieval. For example, when using BPVENDORS, Object Key 2 corresponds to Bp Code. In which case you would enter the BP Code (e.g. ZZ)\n\nstring\n\n30\n\nZZ\n\nObject Key 3\n\nUevObjectKey3\n\nUnique identifier for record retrieval. For example, when using CMMAST, Object Key 3 corresponds to Cmm Code. In which case you would enter the Cmm Code (e.g. 0009EXT)\n\nstring\n\n30\n\n0009EXT\n\nObject Key 4\n\nUevObjectKey4\n\nUnique identifier for record retrieval. For example, when using SCMAST, Object Key 4 corresponds to Change Code. In which case you would enter the Chagne Code (e.g. 001)\n\nstring\n\n30\n\n001\n\n### UEV Codes\n\nUEV Code represents a user-defined field (UDF) configured to store string values. All UevCode fields correspond to custom fields for the table specified in the ‘UevUedTableName’ field. Their definitions can be retrieved using the [User Extension Definition](https://developers.cmicglobal.com/apidocs/retrieve-user-extension-fields-definitions-by-code) endpoint. For more details on creating, updating, or reviewing values, see the [Creating a User Extension Field Value](https://developers.cmicglobal.com/v1/docs/creatingupdating-a-user-extension-field-value) guide.\n\n| CMiC UI Fieldname | Name | Description | Type | Data Length | Example |\n| --- | --- | --- | --- | --- | --- |\n| Uev Code 1 | UevCode1 | User-defined field. Refer to the User Extension Definition endpoint for detail.

For example, UevCode1 associated with the PYEMPLOYEE_TABLE might be defined in the User Extension Definition as the attribute \"Driver License.\" In this case, you would store the driver's license information in that field (e.g. AW-1425-77888). Alternatively, UevCode1 could represent a different user-defined value depending on its configuration.. | string | 4000 | AW-1425-77888 |\n| Uev Code 2 | UevCode2 | User-defined field. Refer to the User Extension Definition endpoint for details

For example, UevCode2 associated with the PYEMPLOYEE_TABLE might be defined in the User Extension Definition as the attribute \"Driver License.\" In this case, you would store the driver's license information in that field(e.g. AW-1425-77888). Alternatively, UevCode2 could represent a different user-defined value depending on its configuration. | string | 4000 | AW-1425-77888 |\n| Uev Code 3 | UevCode3 | User-defined field. Refer to the User Extension Definition endpoint for details

For example, UevCode3 associated with the PYEMPLOYEE_TABLE might be defined in the User Extension Definition as the attribute \"Driver License.\" In this case, you would store the driver's license information in that field (e.g. AW-1425-77888). Alternatively, UevCode3 could represent a different user-defined value depending on its configuration. | string | 4000 | AW-1425-77888 |\n| … | … | ... (Additional UEV Codes follow the same structure) | string | 4000 | … |\n| UEV Code 100 | UevCode100 | User-defined field. Refer to the User Extension Definition endpoint for details.

For example, UevCode100 associated with the PYEMPLOYEE_TABLE might be defined in the User Extension Definition as the attribute \"Driver License.\" In this case, you would store the driver's license information in that field (e.g. AW-1425-77888). Alternatively, UevCode100 could represent a different user-defined value depending on its configuration. | string | 4000 | AW-1425-77888 |\n\n### UEV Numbers\n\nSimilar to UEV Codes, UEV Numbers represents a user-defined field (UDF) configured to store numeric values. All UevNum fields correspond to custom fields for the table specified in the ‘UevUedTableName’ field. Their definitions can be retrieved using the [User Extension Definition](https://developers.cmicglobal.com/apidocs/retrieve-user-extension-fields-definitions-by-code) endpoint. For more details on creating, updating, or reviewing values, see the [Creating a User Extension Field Value](https://developers.cmicglobal.com/v1/docs/creatingupdating-a-user-extension-field-value) guide.\n\n| CMiC UI Fieldname | Name | Description | Type | Data Length | Example |\n| --- | --- | --- | --- | --- | --- |\n| UEV Number 1 | UevNum1 | User-defined field. Refer to the User Extension Definition endpoint for detail.

For example, if UevNum1 in the PYEMPLOYEE_TABLE is defined in the User Extension Definition as the attribute \"Years of Service,\" you would store the employee's years of service as a numeric value (e.g., 10) in that field. | number | | 10 |\n| UEV Number 2 | UevNum2 | User-defined field. Refer to the User Extension Definition endpoint for detail.

For example, if UevNum2 in the PYEMPLOYEE_TABLE is defined in the User Extension Definition as the attribute \"Years of Service,\" you would store the employee's years of service as a numeric value (e.g., 10) in that field. | number | | 10 |\n| UEV Number 3 | UevNum3 | User-defined field. Refer to the User Extension Definition endpoint for detail.

For example, if UevNum3 in the PYEMPLOYEE_TABLE is defined in the User Extension Definition as the attribute \"Years of Service,\" you would store the employee's years of service as a numeric value (e.g., 10) in that field. | number | | 10 |\n| … | … | … (Additional UEV Numbers follow the same structure) | number | … | … |\n| UEV Number 20 | UevNum20 | User-defined field. Refer to the User Extension Definition endpoint for detail.

For example, if UevNum20 in the PYEMPLOYEE_TABLE is defined in the User Extension Definition as the attribute \"Years of Service,\" you would store the employee's years of service as a numeric value (e.g., 10) in that field. | number | | 10 |\n\n### UEV Dates\n\nSimilar to UEV Codes, UEV Dates represents a user-defined field (UDF) configured to store datetime values. All UevDate fields correspond to custom fields for the table specified in the ‘UevUedTableName’ field. Their definitions can be retrieved using the [User Extension Definition](https://developers.cmicglobal.com/apidocs/retrieve-user-extension-fields-definitions-by-code) endpoint. For more details on creating, updating, or reviewing values, see the [Creating a User Extension Field Value](https://developers.cmicglobal.com/v1/docs/creatingupdating-a-user-extension-field-value) guide.\n\n| CMiC UI Fieldname | Name | Description | Type | Data Length | Example |\n| --- | --- | --- | --- | --- | --- |\n| UEV Date 1 | UevDate1 | User-defined field. Refer to the User Extension Definition endpoint for detail.

For example, if UevDate1 in the PYEMPLOYEE_TABLE is defined in the User Extension Definition as the attribute \"Date of Birth,\" you would store the employee's date of birth as a Date value (e.g., 1994-07-31) in that field. | Date | | 1994-07-31 |\n| UEV Date 2 | UevDate2 | User-defined field. Refer to the User Extension Definition endpoint for detail.

For example, if UevDate2 in the PYEMPLOYEE_TABLE is defined in the User Extension Definition as the attribute \"Date of Birth,\" you would store the employee's date of birth as a Date value (e.g., 1994-07-31) in that field. | Date | | 1994-07-31 |\n| UEV Date 3 | UevDate3 | User-defined field. Refer to the User Extension Definition endpoint for detail.

For example, if UevDate3 in the PYEMPLOYEE_TABLE is defined in the User Extension Definition as the attribute \"Date of Birth,\" you would store the employee's date of birth as a Date value (e.g., 1994-07-31) in that field. | Date | | 1994-07-31 |\n| … | … | … (Additional UEV Dates follow the same structure) | Date | | |\n| UEV Date 20 | UevDate20 | User-defined field. Refer to the User Extension Definition endpoint for detail.

For example, if UevDate20 in the PYEMPLOYEE_TABLE is defined in the User Extension Definition as the attribute \"Date of Birth,\" you would store the employee's date of birth as a Date value (e.g., 1994-07-31) in that field. | Date | | 1994-07-31 |", "requestBody": { "content": { "application/json": { "schema": { "type": "object", "example": { "UevUedSchemaName": "T", "UevUedTableName": "TEST", "UevObjectKey1": "test1", "UevObjectKey2": "test2", "UevObjectKey3": "test3", "UevObjectKey4": "test4", "UevVUuid": "" } } } } }, "parameters": [ { "name": "Content-Type", "in": "header", "schema": { "type": "string" }, "example": "application/vnd.oracle.adf.resourceItem+json" } ], "responses": { "201": { "description": "Created", "headers": { "Content-Type": { "schema": { "type": "string", "example": "application/vnd.oracle.adf.resourceitem+json" } } }, "content": { "application/json": { "schema": { "type": "object" }, "example": { "UevUedSchemaName": "T", "UevUedTableName": "TEST", "UevObjectKey1": "test1", "UevObjectKey2": "test2", "UevObjectKey3": "test3", "UevObjectKey4": "test4", "UevCode1": null, "UevCode2": null, "UevCode3": null, "UevCode4": null, "UevCode5": null, "UevCode6": null, "UevCode7": null, "UevCode8": null, "UevCode9": null, "UevCode10": null, "UevCode11": null, "UevCode12": null, "UevCode13": null, "UevCode14": null, "UevCode15": null, "UevCode16": null, "UevCode17": null, "UevCode18": null, "UevCode19": null, "UevCode20": null, "UevNum1": null, "UevNum2": null, "UevNum3": null, "UevNum4": null, "UevNum5": null, "UevNum6": null, "UevNum7": null, "UevNum8": null, "UevNum9": null, "UevNum10": null, "UevNum11": null, "UevNum12": null, "UevNum13": null, "UevNum14": null, "UevNum15": null, "UevNum16": null, "UevNum17": null, "UevNum18": null, "UevNum19": null, "UevNum20": null, "UevDate1": null, "UevDate2": null, "UevDate3": null, "UevDate4": null, "UevDate5": null, "UevDate6": null, "UevDate7": null, "UevDate8": null, "UevDate9": null, "UevDate10": null, "UevDate11": null, "UevDate12": null, "UevDate13": null, "UevDate14": null, "UevDate15": null, "UevDate16": null, "UevDate17": null, "UevDate18": null, "UevDate19": null, "UevDate20": null, "UevIuCreateDate": null, "UevIuUpdateDate": null, "UevCode21": null, "UevCode22": null, "UevCode23": null, "UevCode24": null, "UevCode25": null, "UevCode26": null, "UevCode27": null, "UevCode28": null, "UevCode29": null, "UevCode30": null, "UevCode31": null, "UevCode32": null, "UevCode33": null, "UevCode34": null, "UevCode35": null, "UevCode36": null, "UevCode37": null, "UevCode38": null, "UevCode39": null, "UevCode40": null, "UevCode41": null, "UevCode42": null, "UevCode43": null, "UevCode44": null, "UevCode45": null, "UevCode46": null, "UevCode47": null, "UevCode48": null, "UevCode49": null, "UevCode50": null, "UevCode51": null, "UevCode52": null, "UevCode53": null, "UevCode54": null, "UevCode55": null, "UevCode56": null, "UevCode57": null, "UevCode58": null, "UevCode59": null, "UevCode60": null, "UevCode61": null, "UevCode62": null, "UevCode63": null, "UevCode64": null, "UevCode65": null, "UevCode66": null, "UevCode67": null, "UevCode68": null, "UevCode69": null, "UevCode70": null, "UevCode71": null, "UevCode72": null, "UevCode73": null, "UevCode74": null, "UevCode75": null, "UevCode76": null, "UevCode77": null, "UevCode78": null, "UevCode79": null, "UevCode80": null, "UevCode81": null, "UevCode82": null, "UevCode83": null, "UevCode84": null, "UevCode85": null, "UevCode86": null, "UevCode87": null, "UevCode88": null, "UevCode89": null, "UevCode90": null, "UevCode91": null, "UevCode92": null, "UevCode93": null, "UevCode94": null, "UevCode95": null, "UevCode96": null, "UevCode97": null, "UevCode98": null, "UevCode99": null, "UevCode100": null, "UevObjectColumn": "", "UevObjectValue": "", "UevVUuid": "F37C0CE0515D4EF8E05316821FAC41AB", "links": [ { "rel": "self", "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/sys-rest-api/rest/1/sdobjusrextvalue/F37C0CE0515D4EF8E05316821FAC41AB", "name": "sdobjusrextvalue", "kind": "item" }, { "rel": "canonical", "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/sys-rest-api/rest/1/sdobjusrextvalue/F37C0CE0515D4EF8E05316821FAC41AB", "name": "sdobjusrextvalue", "kind": "item" } ] } } } } } } } }, "components": { "securitySchemes": { "cmicBasicAuth": { "type": "http", "scheme": "basic", "description": "Basic authentication" } } } } ````